<bugID>1385733<Summary>"bookmark all tabs" doesn't save most tabs from 2017-07-26 nightly or earlier</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:56.0) Gecko/20100101 Firefox/56.0
Build ID: 20170730100307

Steps to reproduce:

I started Firefox Nightly with many tabs restored from the previous session, about 880 tabs. Right clicked over the first tab, and clicked "Bookmark All Tabs"



Actual results:

The dialog appears without the usual "[Folder Name]" and Folder (the parent folder) input fields, therefore I cannot type a folder name.
Only the "Add Bookmarks" and "Cancel" buttons appear.
Since I couldn't type a folder name to use, I clicked the "Add Bookmarks" button, without giving a folder name.

In Nightly 2017-07-26, a default bookmarks folder with the name "[Folder Name]" was created, but was empty (instead of with about 880 tabs ...)

After updating to the latest Nightly 2017-07-30, a default bookmarks folder with the name "[Folder Name]" was created, is not empty like with Nightly 2017-07-26, but has only 76 tabs, most of the tabs are missing  (instead of about 880 tabs ...)

After some tries, I found out later that if you wait long enough (about 30 seconds) after clicking "Bookmark all tabs", the missing 2 input fields folder name and Folder (parent folder), suddenly appear (!) in the dialog box, enlarging it, and giving me the option to type the folder name. When this happens, all tabs seem to be bookmarked correctly, without missing tabs. 

The time it takes for the missing input fields to appear, sometimes depend on the number of tabs you have in the window, so if you bookmark all tabs on windows with a small number of tabs, you might not notice this.




Expected results:

The input fields on the "bookmark all tabs" dialog box should have appeared immediately. 

When bookmarking all tabs without entering a folder name (with the default folder name) before those input fields suddenly appear, all tabs should be bookmarked and there should not be many missing tabs that are not bookmarked.</Description></bugID>